$(function () {


    function onEachIssueTypeItem(i,n){
        new IssueTypeItem(n);
    }

    $('div.IssueTypeItem').each(onEachIssueTypeItem);
});

function IssueTypeItem(oElement){
    var _oElement=oElement;

    function onEditClicked(){
        $('span.EditView',_oElement).removeClass('hide');
        $('li.actDone',_oElement).removeClass('hide');

        $('span.InfoView',_oElement).addClass('hide');
        $('li.actEdit',_oElement).addClass('hide');
        $('li.actMove',_oElement).addClass('hide');

        return false;
    }

    function onDoneClicked(){
        $('span.EditView',_oElement).addClass('hide');
        $('li.actDone',_oElement).addClass('hide');

        $('span.InfoView',_oElement).removeClass('hide');
        $('li.actEdit',_oElement).removeClass('hide');
        
        copyFieldToLabel();

        return false;


    }

    function copyFieldToLabel(){
     }

    $('ul li.actEdit a',_oElement).bind('click',onEditClicked);
    $('ul li.actDone a',_oElement).bind('click',onDoneClicked);


}